Webhook
Yükleme İadesi
Header Parameters
Signature*string
Webhook imzası
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
event?string
Default
"deposit_refund"user?
waas_user_mapping?
data?
{
"event": "deposit_refund",
"user": {
"id": 1,
"uuid": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"region": "TR",
"locale": "tr",
"first_name": "Macellan",
"last_name": "Superapp",
"full_name": "Macellan SuperApp",
"email": "[email protected]",
"phone": 905231113344,
"details": {
"subscribe_sms": false,
"subscribe_email": false,
"gender": "male",
"id_number": 11111111111
}
},
"waas_user_mapping": {
"id": "a08a39ed-78c5-43dc-ae5c-161e50a634fd",
"is_active": true,
"created_at": "2019-08-24T14:15:22Z"
},
"data": {
"id": 1,
"bank_amount": 1,
"balance": 1,
"point": 1,
"point_deducted_balance": 1,
"earned_point": 1,
"instant_wallet_balance": 1,
"reference_code": 952340,
"gateway": "masterpass",
"reason": "wrong_deposit",
"deposit": {
"id": 1,
"gateway": "masterpass",
"status": "success",
"reference_code": "95234-111523",
"amount": 1,
"final_total": 1,
"refund_amount": 0,
"three_d": false,
"created_at": "2019-08-24T14:15:22Z",
"order_id": "string",
"deposit_time": "2019-08-24T14:15:22Z",
"installment_count": 2,
"card_holder": "string",
"card_bin": "string",
"pos_bank_no": 12,
"message": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"refunded_date": "2019-08-24T14:15:22Z",
"user_message": "string",
"bank_message": "string",
"user_comment": "string"
}
}Response Body
Example Requests
POST
/depositRefund